#!/bin/sh
echo Content-type: text/html
echo

cat<<EOF
<HTML>

<HEAD>
<TITLE>ninux.org - $TITLE</TITLE>
<META CONTENT="text/html; charset=iso-8859-1" HTTP-EQUIV="Content-Type">
<META CONTENT="no-cache" HTTP-EQUIV="cache-control">
<LINK HREF="../ninux.css" REL="StyleSheet" TYPE="text/css">
<LINK HREF="sven-ola*t*gmx*de" REV="made" TITLE="Sven-Ola">
EOF

unescape()
{
echo $1|awk '
BEGIN {
hextab["0"]=0; hextab["1"]=1;
hextab["2"]=2; hextab["3"]=3;
hextab["4"]=4; hextab["5"]=5;
hextab["6"]=6; hextab["7"]=7;
hextab["8"]=8; hextab["9"]=9;
hextab["A"]=hextab["a"]=10;
hextab["B"]=hextab["b"]=11;
hextab["C"]=hextab["c"]=12;
hextab["D"]=hextab["d"]=13;
hextab["E"]=hextab["e"]=14;
hextab["F"]=hextab["f"]=15;
}
{
decoded="";
i=1;
len=length($0);
while (i<=len) {
c=substr($0, i, 1);
if (c=="%") {
if (i+2<=len) {
c1=substr($0, i+1, 1);
c2=substr($0, i+2, 1);
if (hextab[c1]==""||hextab[c2]=="") {
print "WARNING: invalid hex encoding: %" c1 c2|"cat>&2";
}
else {
code=0+hextab[c1]*16+hextab[c2]+0;
c=sprintf("%c", code);
i=i+2;
}
}
else {
print "WARNING: invalid % encoding: " substr($0, i, len-i);
}
}
else if (c=="+") {
c=" ";
}
decoded=decoded c;
++i;
}
print decoded;
}'
}
checkbridge()
{
ret=0
. /etc/functions.sh
dev=$(nvram get wifi_ifname)
if [ -z "$dev" ]; then
# 8Mb device may die in S15ffnvram, so correct
dev=$(awk 'sub(":","") {print $1}' /proc/net/wireless)
if [ -n "$dev" ]; then
nvram set wifi_ifname=$dev
ret=1
fi
fi
if [ -n "$dev" ]; then
fnd=
old="$(nvram get lan_ifnames)"
for i in $old; do
test "$i" = "$dev" && fnd=1
done
wbr=
adr=$(nvram get wifi_ipaddr)
if [ -z "$adr" ] || [ "$adr" = "$(nvram get lan_ipaddr)" ];then
# WIFI dev should be in the bridge list
wbr=1
fi
if [ "$wbr" != "$fnd" ]; then
if [ -z "$wbr" ]; then
new=
for i in $old; do
test "$i" != "$dev" && new="$new $i"
done
new=${new# }
else
new="$old $dev"
fi
/usr/sbin/nvram set lan_ifnames="$new"
if [ -z "$(/usr/sbin/nvram get lan_ifname)" ]; then
lan=$(nvram get lan_ifname)
test -z "$lan" || lan=br0
nvram set lan_ifname=$lan
fi
ret=1
fi
fi
return $ret
}

cat<<EOF
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript"><!--
function help(e) {
if (!e) e = event;
// (virt)KeyVal is Konqueror, charCode is Moz/Firefox, else MSIE, Netscape, Opera
if (26 == e.virtKeyVal || !e.keyVal && !e.charCode && 112 == (e.which || e.keyCode)) {
var o = null;
if (e.preventDefault) {
if (e.cancelable) e.preventDefault();
o = e.target;
}
else {
e.cancelBubble = true;
o = e.srcElement;
}
while(!!o && '' == o.title) o = o.parentNode;
if (!!o) alert(o.title);
}
}
if (document.all) {
document.onkeydown = help;
document.onhelp = function(){return false;}
}
else {
document.onkeypress = help;
}
//--></SCRIPT>
</HEAD>

<BODY>
<TABLE CLASS="supertable" CELLSPACING="0">
<TBODY>
<TR>
<TD CLASS="sinistra">
<DIV CLASS="colosseo"> <IMG CLASS="colosseo0" SRC="../images/ninux-header0d.gif" ALT="colosseo wireless" WIDTH="256" HEIGHT="189" TITLE="colosseo wireless">
</DIV>
<TABLE CLASS="tabmenulat" CELLSPACING="0" BORDER="0">
<TBODY>
<TR>
<TD CLASS="menulw"></TD>
<TD CLASS="menulb"></TD>
<TD CLASS="menulw2"></TD>
<TD CLASS="menulat" ALIGN="left"><BIG CLASS="plugin">Admin</BIG>
<TABLE WIDTH="100%" BORDER="0" CELLPADDING="0">
EOF

for inc in /www/cgi-bin/[0-9][0-9]-*;do cat $inc;done

cat<<EOF
</TABLE>
<TABLE WIDTH="100%" BORDER="0" CELLPADDING="0">
<TR>
<TD><SPAN CLASS="color"><A CLASS="color" HREF="../cgi-bin-index.html">Home</A></SPAN></TD>
</TR>
<TR>
<TD><SPAN CLASS="color"><A CLASS="color" HREF="index.html">Admin</A></SPAN></TD>
</TR>
</TABLE></TD>
<TD CLASS="menulw2"></TD>
<TD CLASS="menulb"></TD>
<TD CLASS="menulw"></TD>
</TR>
<TR>
<TD CLASS="menulgw"></TD>
<TD CLASS="menulgb"></TD>
<TD CLASS="menulgw2"></TD>
<TD CLASS="menugw"></TD>
<TD CLASS="menulgw2"></TD>
<TD CLASS="menulgb"></TD>
<TD CLASS="menulgw"></TD>
</TR>
<TR>
<TD CLASS="menulgw"></TD>
<TD CLASS="menulgb"></TD>
<TD CLASS="menulgb2"></TD>
<TD CLASS="menugb"></TD>
<TD CLASS="menulgb2"></TD>
<TD CLASS="menulgb"></TD>
<TD CLASS="menulgw"></TD>
</TR>
<TR>
<TD CLASS="menulgw"></TD>
<TD CLASS="menulgw3"></TD>
<TD CLASS="menulgw2"></TD>
<TD CLASS="menugw"></TD>
<TD CLASS="menulgw2"></TD>
<TD CLASS="menulgw3"></TD>
<TD CLASS="menulgw"></TD>
</TR></TBODY>
</TABLE> </TD>
<TD CLASS="destra">
<DIV CLASS="scrittaninuxorg"> <A HREF="http://www.ninux.org/"><IMG CLASS="scrittaninux" SRC="../images/ninux-scrittaninuxb.gif" ALT="ninux.org" WIDTH="450" HEIGHT="95" TITLE="ninux.org"></A>
</DIV>
<DIV CLASS="scritta"> wireless network community Roma </DIV>
<DIV CLASS="contenitore">
<TABLE CLASS="tabcontenuti" CELLSPACING="0">
<TBODY>
<TR>
<TD CLASS="conttopsx"></TD>
<TD CLASS="conttop"></TD>
<TD CLASS="conttopdx"></TD>
</TR>
<TR>
<TD CLASS="contsx"></TD>
<TD CLASS="contenuti">
EOF
